## Class ElencoCarte

    java.lang.Object
      ElencoCarte

    public class ElencoCarte

extends java.lang.Object

Contiene l'elenco delle carte del gioco. Verifica che il nome di una carta sia valido, restituisce l'elenco delle carte del gioco e stabilisce se un mazzo di carte sia combinato.

Version:
  1.0.0
Author:
  Alessio Treglia

Field Summary
`static java.lang.String[]` `CARTE` Elenco delle carte del gioco

Constructor Summary
`ElencoCarte()`

Method Summary
`static int` `armateCombo()` Restituisce il numero di armate che si ricevono se si ha una combinazione con tre carte diverse
`static int` `armateTrisCannoni()` Restituisce il numero di armate che si ricevono se si hanno 3 cannoni
`static int` `armateTrisCavalli()` Restituisce il numero di armate che si ricevono se si hanno 3 cavalli
`static int` `armateTrisFanti()` Restituisce il numero di armate che si ricevono se si hanno 3 fanti
`static int` `armateTrisJolly()` Restituisce il numero di armate che si ricevono se si hanno 2 carte di un tipo + 1 jolly
`static boolean` `cartaValida(java.lang.String carta)` Controlla che una stringa sia un nome valido per una carta.
`static boolean` `combinazioneValida(java.util.List carte)` Restituisce il risultato della verifica sulle combinazioni.
`static java.lang.String` `elencoTutteCarte()` Restituisce in una stringa l'elenco delle carte

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CARTE

    public static final java.lang.String[] CARTE

  Elenco delle carte del gioco

Constructor Detail

### ElencoCarte

    public ElencoCarte()

Method Detail

### cartaValida

    public static boolean cartaValida(java.lang.String carta)

  Controlla che una stringa sia un nome valido per una carta.

  Parameters:
    `carta` - nome `String`della carta
  Returns:
    `true` se il nome è un nome valido per una carta

### elencoTutteCarte

    public static java.lang.String elencoTutteCarte()

  Restituisce in una stringa l'elenco delle carte

  Returns:
    una `String` contenente l'elenco delle carte

### combinazioneValida

    public static boolean combinazioneValida(java.util.List carte)

  Restituisce il risultato della verifica sulle combinazioni. Le possibili combinazioni sono:

       - 3 cannoni
       - 3 fanti
       - 3 cavalli
       - 1 cannone + 1 fante + 1 cavallo
       - 2 carte uguali + 1 jolly

  Parameters:
    `carte` - `List` di carte
  Returns:
    `true` se almeno una delle combinazioni di sopra è presente fra le carte

### armateTrisCannoni

    public static int armateTrisCannoni()

  Restituisce il numero di armate che si ricevono se si hanno 3 cannoni

  Returns:
    numero di armate spettanti al giocatore

### armateTrisFanti

    public static int armateTrisFanti()

  Restituisce il numero di armate che si ricevono se si hanno 3 fanti

  Returns:
    numero di armate spettanti al giocatore

### armateTrisCavalli

    public static int armateTrisCavalli()

  Restituisce il numero di armate che si ricevono se si hanno 3 cavalli

  Returns:
    numero di armate spettanti al giocatore

### armateCombo

    public static int armateCombo()

  Restituisce il numero di armate che si ricevono se si ha una combinazione con tre carte diverse

  Returns:
    numero di armate spettanti al giocatore

### armateTrisJolly

    public static int armateTrisJolly()

  Restituisce il numero di armate che si ricevono se si hanno 2 carte di un tipo + 1 jolly

  Returns:
    numero di armate spettanti al giocatore